commit:     44195e0a9a9930fc2ceddccbba0e013a17e84042
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Fri Feb 19 19:58:28 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 20:21:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44195e0a

dev-python/mccabe: use py.test to run tests

This way testsuite actually works on Python < 3.5
because pytest decorators are respected properly.

Package-Manager: portage-2.2.27

 dev-python/mccabe/mccabe-0.4.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/mccabe/mccabe-0.4.0.ebuild 
b/dev-python/mccabe/mccabe-0.4.0.ebuild
index 22838d6..f3b8516 100644
--- a/dev-python/mccabe/mccabe-0.4.0.ebuild
+++ b/dev-python/mccabe/mccabe-0.4.0.ebuild
@@ -29,5 +29,5 @@ src_prepare() {
 }
 
 python_test() {
-       ${EPYTHON} test_mccabe.py || die
+       py.test -v || die "Testing failed with ${EPYTHON}"
 }

Reply via email to